xine-lib: vdec_hw_h264_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Member Functions | Data Fields
vdec_hw_h264_s Struct Reference

## Public Member Functions
| __attribute__ ((format(printf, 3, 4)))

## Data Fields
| stats
int32_t | user_frames
uint32_t | ref_frames_max
uint32_t | ref_frames_used
vdec_hw_h264_frame_int_t | frames [16+1]
uint8_t | tempbuf [1<< 16]

## Member Function Documentation

## ◆ __attribute__()

vdec_hw_h264_s::__attribute__ | ( | (format(printf, 3, 4)) |  | ) |
| inline

## Field Documentation

## ◆ frames

vdec_hw_h264_frame_int_t vdec_hw_h264_s::frames[16+1]

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_dec_ref_pic_marking(), _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_reset(), _vdec_hw_h264_render(), _vdec_hw_h264_reset_sequence(), _vdec_hw_h264_slice_header(), vdec_hw_h264_delete(), vdec_hw_h264_new(), and vdec_hw_h264_zero_pts().

## ◆ ref_frames_max

uint32_t vdec_hw_h264_s::ref_frames_max

Referenced by _vdec_hw_h264_dbp_append(), _vdec_hw_h264_frame_new(), and vdec_hw_h264_new().

## ◆ ref_frames_used

uint32_t vdec_hw_h264_s::ref_frames_used

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_get_PicNum(), _vdec_hw_h264_dpb_get_prev_ref(), _vdec_hw_h264_dpb_remove(), _vdec_hw_h264_dpb_reset(), _vdec_hw_h264_render(), vdec_hw_h264_delete(), vdec_hw_h264_flush(), vdec_hw_h264_new(), vdec_hw_h264_reset(), and vdec_hw_h264_zero_pts().

## ◆ stats

vdec_hw_h264_s::stats

Referenced by _vdec_hw_h264_frame_draw(), _vdec_hw_h264_nal_unit(), _vdec_hw_h264_read_pps(), _vdec_hw_h264_read_sps(), vdec_hw_h264_delete(), and vdec_hw_h264_new().

## ◆ tempbuf

uint8_t vdec_hw_h264_s::tempbuf[1<< 16]

Referenced by _vdec_hw_h264_nal_unit(), and vdec_hw_h264_put_config().

## ◆ user_frames

int32_t vdec_hw_h264_s::user_frames

Referenced by _vdec_hw_h264_frame_free(), _vdec_hw_h264_frame_new(), vdec_hw_h264_delete(), and vdec_hw_h264_new().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libvdpau/vdec_hw_h264.c